{
  config,
  lib,
  pkgs,
  ...
}:
{
  imports = [ ];

  nixpkgs.overlays = [
    (
      self: super:
      let
        optimizeWithFlags =
          pkg: flags:
          pkg.overrideAttrs (old: {
            NIX_CFLAGS_COMPILE = [ (old.NIX_CFLAGS_COMPILE or "") ] ++ flags;
          });
      in
      {
        linux_znver4 = optimizeWithFlags super.linux_zen [
          "-march=znver4"
          "-mtune=znver4"
        ];
      }
    )
  ];

  boot.kernelPackages = lib.mkIf (!config.me.buildingIso) (pkgs.linuxPackagesFor pkgs.linux_znver4);
}
